package com.mvc.entity;

import java.util.ArrayList;
import java.util.Date;
import java.util.List;

public class TAicnnExample {
    protected String orderByClause;

    protected boolean distinct;

    protected List<Criteria> oredCriteria;

    public TAicnnExample() {
        oredCriteria = new ArrayList<Criteria>();
    }

    public void setOrderByClause(String orderByClause) {
        this.orderByClause = orderByClause;
    }

    public String getOrderByClause() {
        return orderByClause;
    }

    public void setDistinct(boolean distinct) {
        this.distinct = distinct;
    }

    public boolean isDistinct() {
        return distinct;
    }

    public List<Criteria> getOredCriteria() {
        return oredCriteria;
    }

    public void or(Criteria criteria) {
        oredCriteria.add(criteria);
    }

    public Criteria or() {
        Criteria criteria = createCriteriaInternal();
        oredCriteria.add(criteria);
        return criteria;
    }

    public Criteria createCriteria() {
        Criteria criteria = createCriteriaInternal();
        if (oredCriteria.size() == 0) {
            oredCriteria.add(criteria);
        }
        return criteria;
    }

    protected Criteria createCriteriaInternal() {
        Criteria criteria = new Criteria();
        return criteria;
    }

    public void clear() {
        oredCriteria.clear();
        orderByClause = null;
        distinct = false;
    }

    protected abstract static class GeneratedCriteria {
        protected List<Criterion> criteria;

        protected GeneratedCriteria() {
            super();
            criteria = new ArrayList<Criterion>();
        }

        public boolean isValid() {
            return criteria.size() > 0;
        }

        public List<Criterion> getAllCriteria() {
            return criteria;
        }

        public List<Criterion> getCriteria() {
            return criteria;
        }

        protected void addCriterion(String condition) {
            if (condition == null) {
                throw new RuntimeException("Value for condition cannot be null");
            }
            criteria.add(new Criterion(condition));
        }

        protected void addCriterion(String condition, Object value, String property) {
            if (value == null) {
                throw new RuntimeException("Value for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value));
        }

        protected void addCriterion(String condition, Object value1, Object value2, String property) {
            if (value1 == null || value2 == null) {
                throw new RuntimeException("Between values for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value1, value2));
        }

        public Criteria andIdIsNull() {
            addCriterion("ID is null");
            return (Criteria) this;
        }

        public Criteria andIdIsNotNull() {
            addCriterion("ID is not null");
            return (Criteria) this;
        }

        public Criteria andIdEqualTo(Integer value) {
            addCriterion("ID =", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotEqualTo(Integer value) {
            addCriterion("ID <>", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdGreaterThan(Integer value) {
            addCriterion("ID >", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdGreaterThanOrEqualTo(Integer value) {
            addCriterion("ID >=", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdLessThan(Integer value) {
            addCriterion("ID <", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdLessThanOrEqualTo(Integer value) {
            addCriterion("ID <=", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdIn(List<Integer> values) {
            addCriterion("ID in", values, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotIn(List<Integer> values) {
            addCriterion("ID not in", values, "id");
            return (Criteria) this;
        }

        public Criteria andIdBetween(Integer value1, Integer value2) {
            addCriterion("ID between", value1, value2, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotBetween(Integer value1, Integer value2) {
            addCriterion("ID not between", value1, value2, "id");
            return (Criteria) this;
        }

        public Criteria andDeviceSnIsNull() {
            addCriterion("DEVICE_SN is null");
            return (Criteria) this;
        }

        public Criteria andDeviceSnIsNotNull() {
            addCriterion("DEVICE_SN is not null");
            return (Criteria) this;
        }

        public Criteria andDeviceSnEqualTo(String value) {
            addCriterion("DEVICE_SN =", value, "deviceSn");
            return (Criteria) this;
        }

        public Criteria andDeviceSnNotEqualTo(String value) {
            addCriterion("DEVICE_SN <>", value, "deviceSn");
            return (Criteria) this;
        }

        public Criteria andDeviceSnGreaterThan(String value) {
            addCriterion("DEVICE_SN >", value, "deviceSn");
            return (Criteria) this;
        }

        public Criteria andDeviceSnGreaterThanOrEqualTo(String value) {
            addCriterion("DEVICE_SN >=", value, "deviceSn");
            return (Criteria) this;
        }

        public Criteria andDeviceSnLessThan(String value) {
            addCriterion("DEVICE_SN <", value, "deviceSn");
            return (Criteria) this;
        }

        public Criteria andDeviceSnLessThanOrEqualTo(String value) {
            addCriterion("DEVICE_SN <=", value, "deviceSn");
            return (Criteria) this;
        }

        public Criteria andDeviceSnLike(String value) {
            addCriterion("DEVICE_SN like", value, "deviceSn");
            return (Criteria) this;
        }

        public Criteria andDeviceSnNotLike(String value) {
            addCriterion("DEVICE_SN not like", value, "deviceSn");
            return (Criteria) this;
        }

        public Criteria andDeviceSnIn(List<String> values) {
            addCriterion("DEVICE_SN in", values, "deviceSn");
            return (Criteria) this;
        }

        public Criteria andDeviceSnNotIn(List<String> values) {
            addCriterion("DEVICE_SN not in", values, "deviceSn");
            return (Criteria) this;
        }

        public Criteria andDeviceSnBetween(String value1, String value2) {
            addCriterion("DEVICE_SN between", value1, value2, "deviceSn");
            return (Criteria) this;
        }

        public Criteria andDeviceSnNotBetween(String value1, String value2) {
            addCriterion("DEVICE_SN not between", value1, value2, "deviceSn");
            return (Criteria) this;
        }

        public Criteria andStationCodeIsNull() {
            addCriterion("STATION_CODE is null");
            return (Criteria) this;
        }

        public Criteria andStationCodeIsNotNull() {
            addCriterion("STATION_CODE is not null");
            return (Criteria) this;
        }

        public Criteria andStationCodeEqualTo(String value) {
            addCriterion("STATION_CODE =", value, "stationCode");
            return (Criteria) this;
        }

        public Criteria andStationCodeNotEqualTo(String value) {
            addCriterion("STATION_CODE <>", value, "stationCode");
            return (Criteria) this;
        }

        public Criteria andStationCodeGreaterThan(String value) {
            addCriterion("STATION_CODE >", value, "stationCode");
            return (Criteria) this;
        }

        public Criteria andStationCodeGreaterThanOrEqualTo(String value) {
            addCriterion("STATION_CODE >=", value, "stationCode");
            return (Criteria) this;
        }

        public Criteria andStationCodeLessThan(String value) {
            addCriterion("STATION_CODE <", value, "stationCode");
            return (Criteria) this;
        }

        public Criteria andStationCodeLessThanOrEqualTo(String value) {
            addCriterion("STATION_CODE <=", value, "stationCode");
            return (Criteria) this;
        }

        public Criteria andStationCodeLike(String value) {
            addCriterion("STATION_CODE like", value, "stationCode");
            return (Criteria) this;
        }

        public Criteria andStationCodeNotLike(String value) {
            addCriterion("STATION_CODE not like", value, "stationCode");
            return (Criteria) this;
        }

        public Criteria andStationCodeIn(List<String> values) {
            addCriterion("STATION_CODE in", values, "stationCode");
            return (Criteria) this;
        }

        public Criteria andStationCodeNotIn(List<String> values) {
            addCriterion("STATION_CODE not in", values, "stationCode");
            return (Criteria) this;
        }

        public Criteria andStationCodeBetween(String value1, String value2) {
            addCriterion("STATION_CODE between", value1, value2, "stationCode");
            return (Criteria) this;
        }

        public Criteria andStationCodeNotBetween(String value1, String value2) {
            addCriterion("STATION_CODE not between", value1, value2, "stationCode");
            return (Criteria) this;
        }

        public Criteria andSampleTimeIsNull() {
            addCriterion("SAMPLE_TIME is null");
            return (Criteria) this;
        }

        public Criteria andSampleTimeIsNotNull() {
            addCriterion("SAMPLE_TIME is not null");
            return (Criteria) this;
        }

        public Criteria andSampleTimeEqualTo(Date value) {
            addCriterion("SAMPLE_TIME =", value, "sampleTime");
            return (Criteria) this;
        }

        public Criteria andSampleTimeNotEqualTo(Date value) {
            addCriterion("SAMPLE_TIME <>", value, "sampleTime");
            return (Criteria) this;
        }

        public Criteria andSampleTimeGreaterThan(Date value) {
            addCriterion("SAMPLE_TIME >", value, "sampleTime");
            return (Criteria) this;
        }

        public Criteria andSampleTimeGreaterThanOrEqualTo(Date value) {
            addCriterion("SAMPLE_TIME >=", value, "sampleTime");
            return (Criteria) this;
        }

        public Criteria andSampleTimeLessThan(Date value) {
            addCriterion("SAMPLE_TIME <", value, "sampleTime");
            return (Criteria) this;
        }

        public Criteria andSampleTimeLessThanOrEqualTo(Date value) {
            addCriterion("SAMPLE_TIME <=", value, "sampleTime");
            return (Criteria) this;
        }

        public Criteria andSampleTimeIn(List<Date> values) {
            addCriterion("SAMPLE_TIME in", values, "sampleTime");
            return (Criteria) this;
        }

        public Criteria andSampleTimeNotIn(List<Date> values) {
            addCriterion("SAMPLE_TIME not in", values, "sampleTime");
            return (Criteria) this;
        }

        public Criteria andSampleTimeBetween(Date value1, Date value2) {
            addCriterion("SAMPLE_TIME between", value1, value2, "sampleTime");
            return (Criteria) this;
        }

        public Criteria andSampleTimeNotBetween(Date value1, Date value2) {
            addCriterion("SAMPLE_TIME not between", value1, value2, "sampleTime");
            return (Criteria) this;
        }

        public Criteria andRptTimeIsNull() {
            addCriterion("RPT_TIME is null");
            return (Criteria) this;
        }

        public Criteria andRptTimeIsNotNull() {
            addCriterion("RPT_TIME is not null");
            return (Criteria) this;
        }

        public Criteria andRptTimeEqualTo(Date value) {
            addCriterion("RPT_TIME =", value, "rptTime");
            return (Criteria) this;
        }

        public Criteria andRptTimeNotEqualTo(Date value) {
            addCriterion("RPT_TIME <>", value, "rptTime");
            return (Criteria) this;
        }

        public Criteria andRptTimeGreaterThan(Date value) {
            addCriterion("RPT_TIME >", value, "rptTime");
            return (Criteria) this;
        }

        public Criteria andRptTimeGreaterThanOrEqualTo(Date value) {
            addCriterion("RPT_TIME >=", value, "rptTime");
            return (Criteria) this;
        }

        public Criteria andRptTimeLessThan(Date value) {
            addCriterion("RPT_TIME <", value, "rptTime");
            return (Criteria) this;
        }

        public Criteria andRptTimeLessThanOrEqualTo(Date value) {
            addCriterion("RPT_TIME <=", value, "rptTime");
            return (Criteria) this;
        }

        public Criteria andRptTimeIn(List<Date> values) {
            addCriterion("RPT_TIME in", values, "rptTime");
            return (Criteria) this;
        }

        public Criteria andRptTimeNotIn(List<Date> values) {
            addCriterion("RPT_TIME not in", values, "rptTime");
            return (Criteria) this;
        }

        public Criteria andRptTimeBetween(Date value1, Date value2) {
            addCriterion("RPT_TIME between", value1, value2, "rptTime");
            return (Criteria) this;
        }

        public Criteria andRptTimeNotBetween(Date value1, Date value2) {
            addCriterion("RPT_TIME not between", value1, value2, "rptTime");
            return (Criteria) this;
        }

        public Criteria andRevTimeIsNull() {
            addCriterion("REV_TIME is null");
            return (Criteria) this;
        }

        public Criteria andRevTimeIsNotNull() {
            addCriterion("REV_TIME is not null");
            return (Criteria) this;
        }

        public Criteria andRevTimeEqualTo(Date value) {
            addCriterion("REV_TIME =", value, "revTime");
            return (Criteria) this;
        }

        public Criteria andRevTimeNotEqualTo(Date value) {
            addCriterion("REV_TIME <>", value, "revTime");
            return (Criteria) this;
        }

        public Criteria andRevTimeGreaterThan(Date value) {
            addCriterion("REV_TIME >", value, "revTime");
            return (Criteria) this;
        }

        public Criteria andRevTimeGreaterThanOrEqualTo(Date value) {
            addCriterion("REV_TIME >=", value, "revTime");
            return (Criteria) this;
        }

        public Criteria andRevTimeLessThan(Date value) {
            addCriterion("REV_TIME <", value, "revTime");
            return (Criteria) this;
        }

        public Criteria andRevTimeLessThanOrEqualTo(Date value) {
            addCriterion("REV_TIME <=", value, "revTime");
            return (Criteria) this;
        }

        public Criteria andRevTimeIn(List<Date> values) {
            addCriterion("REV_TIME in", values, "revTime");
            return (Criteria) this;
        }

        public Criteria andRevTimeNotIn(List<Date> values) {
            addCriterion("REV_TIME not in", values, "revTime");
            return (Criteria) this;
        }

        public Criteria andRevTimeBetween(Date value1, Date value2) {
            addCriterion("REV_TIME between", value1, value2, "revTime");
            return (Criteria) this;
        }

        public Criteria andRevTimeNotBetween(Date value1, Date value2) {
            addCriterion("REV_TIME not between", value1, value2, "revTime");
            return (Criteria) this;
        }

        public Criteria andFunCodeIsNull() {
            addCriterion("FUN_CODE is null");
            return (Criteria) this;
        }

        public Criteria andFunCodeIsNotNull() {
            addCriterion("FUN_CODE is not null");
            return (Criteria) this;
        }

        public Criteria andFunCodeEqualTo(String value) {
            addCriterion("FUN_CODE =", value, "funCode");
            return (Criteria) this;
        }

        public Criteria andFunCodeNotEqualTo(String value) {
            addCriterion("FUN_CODE <>", value, "funCode");
            return (Criteria) this;
        }

        public Criteria andFunCodeGreaterThan(String value) {
            addCriterion("FUN_CODE >", value, "funCode");
            return (Criteria) this;
        }

        public Criteria andFunCodeGreaterThanOrEqualTo(String value) {
            addCriterion("FUN_CODE >=", value, "funCode");
            return (Criteria) this;
        }

        public Criteria andFunCodeLessThan(String value) {
            addCriterion("FUN_CODE <", value, "funCode");
            return (Criteria) this;
        }

        public Criteria andFunCodeLessThanOrEqualTo(String value) {
            addCriterion("FUN_CODE <=", value, "funCode");
            return (Criteria) this;
        }

        public Criteria andFunCodeLike(String value) {
            addCriterion("FUN_CODE like", value, "funCode");
            return (Criteria) this;
        }

        public Criteria andFunCodeNotLike(String value) {
            addCriterion("FUN_CODE not like", value, "funCode");
            return (Criteria) this;
        }

        public Criteria andFunCodeIn(List<String> values) {
            addCriterion("FUN_CODE in", values, "funCode");
            return (Criteria) this;
        }

        public Criteria andFunCodeNotIn(List<String> values) {
            addCriterion("FUN_CODE not in", values, "funCode");
            return (Criteria) this;
        }

        public Criteria andFunCodeBetween(String value1, String value2) {
            addCriterion("FUN_CODE between", value1, value2, "funCode");
            return (Criteria) this;
        }

        public Criteria andFunCodeNotBetween(String value1, String value2) {
            addCriterion("FUN_CODE not between", value1, value2, "funCode");
            return (Criteria) this;
        }

        public Criteria andRandomCodeIsNull() {
            addCriterion("RANDOM_CODE is null");
            return (Criteria) this;
        }

        public Criteria andRandomCodeIsNotNull() {
            addCriterion("RANDOM_CODE is not null");
            return (Criteria) this;
        }

        public Criteria andRandomCodeEqualTo(String value) {
            addCriterion("RANDOM_CODE =", value, "randomCode");
            return (Criteria) this;
        }

        public Criteria andRandomCodeNotEqualTo(String value) {
            addCriterion("RANDOM_CODE <>", value, "randomCode");
            return (Criteria) this;
        }

        public Criteria andRandomCodeGreaterThan(String value) {
            addCriterion("RANDOM_CODE >", value, "randomCode");
            return (Criteria) this;
        }

        public Criteria andRandomCodeGreaterThanOrEqualTo(String value) {
            addCriterion("RANDOM_CODE >=", value, "randomCode");
            return (Criteria) this;
        }

        public Criteria andRandomCodeLessThan(String value) {
            addCriterion("RANDOM_CODE <", value, "randomCode");
            return (Criteria) this;
        }

        public Criteria andRandomCodeLessThanOrEqualTo(String value) {
            addCriterion("RANDOM_CODE <=", value, "randomCode");
            return (Criteria) this;
        }

        public Criteria andRandomCodeLike(String value) {
            addCriterion("RANDOM_CODE like", value, "randomCode");
            return (Criteria) this;
        }

        public Criteria andRandomCodeNotLike(String value) {
            addCriterion("RANDOM_CODE not like", value, "randomCode");
            return (Criteria) this;
        }

        public Criteria andRandomCodeIn(List<String> values) {
            addCriterion("RANDOM_CODE in", values, "randomCode");
            return (Criteria) this;
        }

        public Criteria andRandomCodeNotIn(List<String> values) {
            addCriterion("RANDOM_CODE not in", values, "randomCode");
            return (Criteria) this;
        }

        public Criteria andRandomCodeBetween(String value1, String value2) {
            addCriterion("RANDOM_CODE between", value1, value2, "randomCode");
            return (Criteria) this;
        }

        public Criteria andRandomCodeNotBetween(String value1, String value2) {
            addCriterion("RANDOM_CODE not between", value1, value2, "randomCode");
            return (Criteria) this;
        }

        public Criteria andTargetsNumIsNull() {
            addCriterion("TARGETS_NUM is null");
            return (Criteria) this;
        }

        public Criteria andTargetsNumIsNotNull() {
            addCriterion("TARGETS_NUM is not null");
            return (Criteria) this;
        }

        public Criteria andTargetsNumEqualTo(Integer value) {
            addCriterion("TARGETS_NUM =", value, "targetsNum");
            return (Criteria) this;
        }

        public Criteria andTargetsNumNotEqualTo(Integer value) {
            addCriterion("TARGETS_NUM <>", value, "targetsNum");
            return (Criteria) this;
        }

        public Criteria andTargetsNumGreaterThan(Integer value) {
            addCriterion("TARGETS_NUM >", value, "targetsNum");
            return (Criteria) this;
        }

        public Criteria andTargetsNumGreaterThanOrEqualTo(Integer value) {
            addCriterion("TARGETS_NUM >=", value, "targetsNum");
            return (Criteria) this;
        }

        public Criteria andTargetsNumLessThan(Integer value) {
            addCriterion("TARGETS_NUM <", value, "targetsNum");
            return (Criteria) this;
        }

        public Criteria andTargetsNumLessThanOrEqualTo(Integer value) {
            addCriterion("TARGETS_NUM <=", value, "targetsNum");
            return (Criteria) this;
        }

        public Criteria andTargetsNumIn(List<Integer> values) {
            addCriterion("TARGETS_NUM in", values, "targetsNum");
            return (Criteria) this;
        }

        public Criteria andTargetsNumNotIn(List<Integer> values) {
            addCriterion("TARGETS_NUM not in", values, "targetsNum");
            return (Criteria) this;
        }

        public Criteria andTargetsNumBetween(Integer value1, Integer value2) {
            addCriterion("TARGETS_NUM between", value1, value2, "targetsNum");
            return (Criteria) this;
        }

        public Criteria andTargetsNumNotBetween(Integer value1, Integer value2) {
            addCriterion("TARGETS_NUM not between", value1, value2, "targetsNum");
            return (Criteria) this;
        }

        public Criteria andZipBeforeLenIsNull() {
            addCriterion("ZIP_BEFORE_LEN is null");
            return (Criteria) this;
        }

        public Criteria andZipBeforeLenIsNotNull() {
            addCriterion("ZIP_BEFORE_LEN is not null");
            return (Criteria) this;
        }

        public Criteria andZipBeforeLenEqualTo(Integer value) {
            addCriterion("ZIP_BEFORE_LEN =", value, "zipBeforeLen");
            return (Criteria) this;
        }

        public Criteria andZipBeforeLenNotEqualTo(Integer value) {
            addCriterion("ZIP_BEFORE_LEN <>", value, "zipBeforeLen");
            return (Criteria) this;
        }

        public Criteria andZipBeforeLenGreaterThan(Integer value) {
            addCriterion("ZIP_BEFORE_LEN >", value, "zipBeforeLen");
            return (Criteria) this;
        }

        public Criteria andZipBeforeLenGreaterThanOrEqualTo(Integer value) {
            addCriterion("ZIP_BEFORE_LEN >=", value, "zipBeforeLen");
            return (Criteria) this;
        }

        public Criteria andZipBeforeLenLessThan(Integer value) {
            addCriterion("ZIP_BEFORE_LEN <", value, "zipBeforeLen");
            return (Criteria) this;
        }

        public Criteria andZipBeforeLenLessThanOrEqualTo(Integer value) {
            addCriterion("ZIP_BEFORE_LEN <=", value, "zipBeforeLen");
            return (Criteria) this;
        }

        public Criteria andZipBeforeLenIn(List<Integer> values) {
            addCriterion("ZIP_BEFORE_LEN in", values, "zipBeforeLen");
            return (Criteria) this;
        }

        public Criteria andZipBeforeLenNotIn(List<Integer> values) {
            addCriterion("ZIP_BEFORE_LEN not in", values, "zipBeforeLen");
            return (Criteria) this;
        }

        public Criteria andZipBeforeLenBetween(Integer value1, Integer value2) {
            addCriterion("ZIP_BEFORE_LEN between", value1, value2, "zipBeforeLen");
            return (Criteria) this;
        }

        public Criteria andZipBeforeLenNotBetween(Integer value1, Integer value2) {
            addCriterion("ZIP_BEFORE_LEN not between", value1, value2, "zipBeforeLen");
            return (Criteria) this;
        }

        public Criteria andZipAfterLenIsNull() {
            addCriterion("ZIP_AFTER_LEN is null");
            return (Criteria) this;
        }

        public Criteria andZipAfterLenIsNotNull() {
            addCriterion("ZIP_AFTER_LEN is not null");
            return (Criteria) this;
        }

        public Criteria andZipAfterLenEqualTo(Integer value) {
            addCriterion("ZIP_AFTER_LEN =", value, "zipAfterLen");
            return (Criteria) this;
        }

        public Criteria andZipAfterLenNotEqualTo(Integer value) {
            addCriterion("ZIP_AFTER_LEN <>", value, "zipAfterLen");
            return (Criteria) this;
        }

        public Criteria andZipAfterLenGreaterThan(Integer value) {
            addCriterion("ZIP_AFTER_LEN >", value, "zipAfterLen");
            return (Criteria) this;
        }

        public Criteria andZipAfterLenGreaterThanOrEqualTo(Integer value) {
            addCriterion("ZIP_AFTER_LEN >=", value, "zipAfterLen");
            return (Criteria) this;
        }

        public Criteria andZipAfterLenLessThan(Integer value) {
            addCriterion("ZIP_AFTER_LEN <", value, "zipAfterLen");
            return (Criteria) this;
        }

        public Criteria andZipAfterLenLessThanOrEqualTo(Integer value) {
            addCriterion("ZIP_AFTER_LEN <=", value, "zipAfterLen");
            return (Criteria) this;
        }

        public Criteria andZipAfterLenIn(List<Integer> values) {
            addCriterion("ZIP_AFTER_LEN in", values, "zipAfterLen");
            return (Criteria) this;
        }

        public Criteria andZipAfterLenNotIn(List<Integer> values) {
            addCriterion("ZIP_AFTER_LEN not in", values, "zipAfterLen");
            return (Criteria) this;
        }

        public Criteria andZipAfterLenBetween(Integer value1, Integer value2) {
            addCriterion("ZIP_AFTER_LEN between", value1, value2, "zipAfterLen");
            return (Criteria) this;
        }

        public Criteria andZipAfterLenNotBetween(Integer value1, Integer value2) {
            addCriterion("ZIP_AFTER_LEN not between", value1, value2, "zipAfterLen");
            return (Criteria) this;
        }

        public Criteria andFileNameIsNull() {
            addCriterion("FILE_NAME is null");
            return (Criteria) this;
        }

        public Criteria andFileNameIsNotNull() {
            addCriterion("FILE_NAME is not null");
            return (Criteria) this;
        }

        public Criteria andFileNameEqualTo(String value) {
            addCriterion("FILE_NAME =", value, "fileName");
            return (Criteria) this;
        }

        public Criteria andFileNameNotEqualTo(String value) {
            addCriterion("FILE_NAME <>", value, "fileName");
            return (Criteria) this;
        }

        public Criteria andFileNameGreaterThan(String value) {
            addCriterion("FILE_NAME >", value, "fileName");
            return (Criteria) this;
        }

        public Criteria andFileNameGreaterThanOrEqualTo(String value) {
            addCriterion("FILE_NAME >=", value, "fileName");
            return (Criteria) this;
        }

        public Criteria andFileNameLessThan(String value) {
            addCriterion("FILE_NAME <", value, "fileName");
            return (Criteria) this;
        }

        public Criteria andFileNameLessThanOrEqualTo(String value) {
            addCriterion("FILE_NAME <=", value, "fileName");
            return (Criteria) this;
        }

        public Criteria andFileNameLike(String value) {
            addCriterion("FILE_NAME like", value, "fileName");
            return (Criteria) this;
        }

        public Criteria andFileNameNotLike(String value) {
            addCriterion("FILE_NAME not like", value, "fileName");
            return (Criteria) this;
        }

        public Criteria andFileNameIn(List<String> values) {
            addCriterion("FILE_NAME in", values, "fileName");
            return (Criteria) this;
        }

        public Criteria andFileNameNotIn(List<String> values) {
            addCriterion("FILE_NAME not in", values, "fileName");
            return (Criteria) this;
        }

        public Criteria andFileNameBetween(String value1, String value2) {
            addCriterion("FILE_NAME between", value1, value2, "fileName");
            return (Criteria) this;
        }

        public Criteria andFileNameNotBetween(String value1, String value2) {
            addCriterion("FILE_NAME not between", value1, value2, "fileName");
            return (Criteria) this;
        }
    }

    public static class Criteria extends GeneratedCriteria {

        protected Criteria() {
            super();
        }
    }

    public static class Criterion {
        private String condition;

        private Object value;

        private Object secondValue;

        private boolean noValue;

        private boolean singleValue;

        private boolean betweenValue;

        private boolean listValue;

        private String typeHandler;

        public String getCondition() {
            return condition;
        }

        public Object getValue() {
            return value;
        }

        public Object getSecondValue() {
            return secondValue;
        }

        public boolean isNoValue() {
            return noValue;
        }

        public boolean isSingleValue() {
            return singleValue;
        }

        public boolean isBetweenValue() {
            return betweenValue;
        }

        public boolean isListValue() {
            return listValue;
        }

        public String getTypeHandler() {
            return typeHandler;
        }

        protected Criterion(String condition) {
            super();
            this.condition = condition;
            this.typeHandler = null;
            this.noValue = true;
        }

        protected Criterion(String condition, Object value, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.typeHandler = typeHandler;
            if (value instanceof List<?>) {
                this.listValue = true;
            } else {
                this.singleValue = true;
            }
        }

        protected Criterion(String condition, Object value) {
            this(condition, value, null);
        }

        protected Criterion(String condition, Object value, Object secondValue, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.secondValue = secondValue;
            this.typeHandler = typeHandler;
            this.betweenValue = true;
        }

        protected Criterion(String condition, Object value, Object secondValue) {
            this(condition, value, secondValue, null);
        }
    }
}